.account {
    padding-top: rem(48);
    display: flex;
    flex-direction: column;
    column-gap: rem(24);
    row-gap: rem(24);

    &__sidebar {
        background: white;
        position: relative;
        border-radius: rem(22);
        padding: rem(80) rem(20) rem(24) rem(22);
    }

    &__media {
        left: rem(21);
        top: rem(-37);
        position: absolute;
        display: flex;
        align-items: center;
    }

    &__avatar {
        z-index: 10;
        width: 88px;
        height: 88px;
        overflow: hidden;
        position: relative;
        border-radius: 50%;
        flex-shrink: 0;
    }

    &__pattern {
        margin-left: rem(-10);
        width: rem(188);
        flex-shrink: 0;
    }

    &__name {
        font-weight: 500;
        font-size: rem(32);
        line-height: rem(36);
        font-family: var(--font-secondary);
    }

    &__status {
        color: #85959E;
        font-size: rem(17);
        line-height: rem(26);
        margin-top: rem(8);
    }

    &__block {
        background: white;
        border-radius: rem(22);
        padding: rem(32) rem(20);
    }

    &__content {
       display: flex;
        flex-direction: column;
        row-gap: rem(24);
    }

    &__header {
        font-weight: 500;
        font-size: rem(20);
        line-height: rem(24);
        margin-bottom: rem(14);
        font-family: var(--font-secondary);
    }

    &__form {
        display: flex;
        flex-direction: column;
        row-gap: rem(24);
    }

    &__item {
        display: flex;
        flex-direction: column;
        row-gap: rem(2);
        column-gap: rem(10);
    }

    &__label {
        color: #9BA0AB;
        font-size: rem(15);
        line-height: rem(24);
    }

    &__party {
        border-top: 1px solid #F0F2F5;
    }

    &__footer {
        display: flex;
        flex-direction: column;
        column-gap: rem(8);
        row-gap: rem(8);
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(58);

        &__block {
            padding: rem(32) rem(30);
        }

        &__footer {
            flex-direction: row;
            justify-content: flex-end;
        }

        &__button {
            min-width: rem(160);
        }

        &__form {
           row-gap: 0;
        }

        &__item {
            align-items: center;
            flex-direction: row;
        }

        &__label {
            width: rem(108);
            flex-shrink: 1;
        }

        &__field {
            flex-grow: 1;
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        flex-direction: row;
        align-items: flex-start;

        &__sidebar {
            width: rem(330);
            flex-shrink: 0;
        }

        &__content {
            flex-grow: 1;
        }
    }
    @include media-breakpoint-up(xxl) {}
}

.account-user {
    padding: rem(10) rem(40) rem(10) rem(50);
    position: relative;
    color: var(--black);
    font-size: rem(17);
    line-height: 1.5;
    border-bottom: 1px solid #F0F2F5;

    &__num {
        left: 0;
        top: calc(50% - 18px);
        width: 35px;
        height: 35px;
        flex-shrink: 0;
        padding-top: 2px;
        font-size: rem(17);
        line-height: rem(24);
        border-radius: 50%;
        background: #D5DDE6;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__name {

    }

    &__phone {
        color: #9BA0AB;
        white-space: nowrap;
        text-decoration: none;

        &:hover {
            color: #9BA0AB;
            text-decoration: none;
        }
    }

    &__action {
        right: 0;
        top: calc(50% - 12px);
        position: absolute;
    }

    &__remove {
        padding: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(24);
        height: rem(24);
        fill: #9BA0AB;
        display: block;
        cursor: pointer;
        background: transparent;
    }

    @include media-breakpoint-up(md) {

        &__action {
            padding-right: rem(16);
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(10);
        display: flex;
        align-items: center;
        justify-content: space-between;
        column-gap: rem(16);

        &__num {
            top: auto;
            left: auto;
            flex-shrink: 0;
            position: relative;
        }

        &__name {
            flex-grow: 1;
        }

        &__action {
            padding: 0;
            top: auto;
            right: auto;
            width: rem(36);
            margin-left: rem(24);
            position: relative;
            flex-shrink: 0;
            display: flex;
            align-items: center;
            justify-content: center;
        }
    }

    @include media-breakpoint-up(md) {
        background: transparent;
        transition: var(--transition-time);

        &:hover {
            background: #F0F2F5;
            transition: var(--transition-time);

            .account-user {

                &__action {
                    opacity: 1;
                    visibility: visible;
                    transition: var(--transition-time);
                }
            }
        }

        &__action {
            opacity: 0;
            visibility: hidden;
            transition: var(--transition-time);
        }
    }
}
